Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5118)
@@ -413,35 +412,35 @@
     LOGICAL, DIMENSION(klon, klev) :: ptconv, ptconvth
     REAL :: pdtphys
-    CHARACTER (LEN=4), DIMENSION(nlevSTD) :: clevSTD
-    REAL, DIMENSION(klon,nlevSTD) :: zx_tmp_fi3d_STD
+    CHARACTER (LEN = 4), DIMENSION(nlevSTD) :: clevSTD
+    REAL, DIMENSION(klon, nlevSTD) :: zx_tmp_fi3d_STD
     REAL, DIMENSION(klon) :: pphis
     REAL, DIMENSION(klon, klev) :: pplay, d_t
-    REAL, DIMENSION(klon, klev+1) :: paprs
-    REAL, DIMENSION(klon,klev,nqtot) :: qx, d_qx
-    REAL,DIMENSION(klon,klev,nbtr),INTENT(IN)    :: d_tr_dyn
+    REAL, DIMENSION(klon, klev + 1) :: paprs
+    REAL, DIMENSION(klon, klev, nqtot) :: qx, d_qx
+    REAL, DIMENSION(klon, klev, nbtr), INTENT(IN) :: d_tr_dyn
     REAL, DIMENSION(klon, llm) :: zmasse
     INTEGER :: flag_aerosol_strat
-    INTEGER :: flag_aerosol 
+    INTEGER :: flag_aerosol
     LOGICAL :: ok_cdnc
     REAL, DIMENSION(3) :: freq_moyNMC
 
     ! Local
-    INTEGER, PARAMETER :: jjmp1=jjm+1-1/jjm
+    INTEGER, PARAMETER :: jjmp1 = jjm + 1 - 1 / jjm
     INTEGER :: itau_w
-    INTEGER :: i, iinit, iinitend=1, iff, iq, itr, nsrf, k, ll, naero
+    INTEGER :: i, iinit, iinitend = 1, iff, iq, itr, nsrf, k, ll, naero
     REAL, DIMENSION (klon) :: zx_tmp_fi2d
-    REAL, DIMENSION (klon,klev) :: zx_tmp_fi3d, zpt_conv
-    REAL, DIMENSION (klon,klev+1) :: zx_tmp_fi3d1
-    CHARACTER (LEN=4)              :: bb2
-    INTEGER, DIMENSION(iim*jjmp1)  :: ndex2d
-    INTEGER, DIMENSION(iim*jjmp1*klev) :: ndex3d
+    REAL, DIMENSION (klon, klev) :: zx_tmp_fi3d, zpt_conv
+    REAL, DIMENSION (klon, klev + 1) :: zx_tmp_fi3d1
+    CHARACTER (LEN = 4) :: bb2
+    INTEGER, DIMENSION(iim * jjmp1) :: ndex2d
+    INTEGER, DIMENSION(iim * jjmp1 * klev) :: ndex3d
     REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
     REAL :: missing_val
-    REAL, PARAMETER :: un_jour=86400.
+    REAL, PARAMETER :: un_jour = 86400.
 
     IF (using_xios) THEN
-      missing_val=missing_val_xios
+      missing_val = missing_val_xios
     ELSE
-      missing_val=nf90_fill_real
+      missing_val = nf90_fill_real
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5118)
@@ -1,6 +1,5 @@
-
 ! $Id$
 
-SUBROUTINE calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
+SUBROUTINE calcaerosolstrato_rrtm(pplay, t_seri, paprs, debut)
 
   USE phys_state_var_mod, ONLY: tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm, tau_aero_lw_rrtm
@@ -10,4 +9,5 @@
   USE temps_mod
   USE lmdz_yomcst
+  USE lmdz_iniprint, ONLY: lunout, prt_level
 
   IMPLICIT NONE
@@ -16,106 +16,105 @@
   INCLUDE "clesphys.h"
   INCLUDE "paramet.h"
-  INCLUDE "iniprint.h"
 
-! Variable input
-  REAL,DIMENSION(klon,klev),INTENT(IN)   :: t_seri  ! Temperature
-  REAL,DIMENSION(klon,klev),INTENT(IN)   :: pplay   ! pression pour le mileu de chaque couche (en Pa)
-  LOGICAL,INTENT(IN)                     :: debut   ! le flag de l'initialisation de la physique
-  REAL,DIMENSION(klon,klev+1),INTENT(IN) :: paprs   ! pression pour chaque inter-couche (en Pa)
+  ! Variable input
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: t_seri  ! Temperature
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: pplay   ! pression pour le mileu de chaque couche (en Pa)
+  LOGICAL, INTENT(IN) :: debut   ! le flag de l'initialisation de la physique
+  REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs   ! pression pour chaque inter-couche (en Pa)
 
-! Stratospheric aerosols optical properties
-  REAL, DIMENSION(klon,klev,nbands_sw_rrtm) :: tau_strat, piz_strat, cg_strat
-  REAL, DIMENSION(klon,klev,nwave_sw+nwave_lw) :: tau_strat_wave
-  REAL, DIMENSION(klon,klev,nbands_lw_rrtm) :: tau_lw_abs_rrtm
+  ! Stratospheric aerosols optical properties
+  REAL, DIMENSION(klon, klev, nbands_sw_rrtm) :: tau_strat, piz_strat, cg_strat
+  REAL, DIMENSION(klon, klev, nwave_sw + nwave_lw) :: tau_strat_wave
+  REAL, DIMENSION(klon, klev, nbands_lw_rrtm) :: tau_lw_abs_rrtm
 
   INTEGER k, band, wave, i
   REAL zrho, zdz
 
-!--calculate optical properties of the aerosol size distribution from tr_seri
-  tau_strat=0.0
-  piz_strat=0.0
-  cg_strat=0.0
-  tau_strat_wave=0.0
-  tau_lw_abs_rrtm=0.0
+  !--calculate optical properties of the aerosol size distribution from tr_seri
+  tau_strat = 0.0
+  piz_strat = 0.0
+  cg_strat = 0.0
+  tau_strat_wave = 0.0
+  tau_lw_abs_rrtm = 0.0
 
   CALL miecalc_aer(tau_strat, piz_strat, cg_strat, tau_strat_wave, tau_lw_abs_rrtm, paprs, debut)
 
-!!--test CK: deactivate radiative effect of aerosol
-!  tau_strat=0.0
-!  piz_strat=0.0
-!  cg_strat=0.0
-!  tau_strat_wave=0.0
-!  tau_lw_abs_rrtm=0.0
+  !!--test CK: deactivate radiative effect of aerosol
+  !  tau_strat=0.0
+  !  piz_strat=0.0
+  !  cg_strat=0.0
+  !  tau_strat_wave=0.0
+  !  tau_lw_abs_rrtm=0.0
 
-!--test CK: deactivate SW radiative effect of aerosol (but leave LW)
-!  tau_strat=0.0
-!  piz_strat=0.0
-!  cg_strat=0.0
+  !--test CK: deactivate SW radiative effect of aerosol (but leave LW)
+  !  tau_strat=0.0
+  !  piz_strat=0.0
+  !  cg_strat=0.0
 
-!  DO wave=1, nwave_sw
-!  tau_strat_wave(:,:,wave)=0.0
-!  ENDDO
+  !  DO wave=1, nwave_sw
+  !  tau_strat_wave(:,:,wave)=0.0
+  !  ENDDO
 
-!--test CK: deactivate LW radiative effect of aerosol (but leave SW)
-!  tau_lw_abs_rrtm=0.0
+  !--test CK: deactivate LW radiative effect of aerosol (but leave SW)
+  !  tau_lw_abs_rrtm=0.0
 
-!  DO wave=nwave_sw+1, nwave_sw+nwave_lw
-!  tau_strat_wave(:,:,wave)=0.0
-!  ENDDO
+  !  DO wave=nwave_sw+1, nwave_sw+nwave_lw
+  !  tau_strat_wave(:,:,wave)=0.0
+  !  ENDDO
 
-!--total vertical aod at the 5 SW + 1 LW wavelengths
-  DO wave=1, nwave_sw+nwave_lw
-    DO k=1, klev
-      tausum_aero(:,wave,id_STRAT_phy)=tausum_aero(:,wave,id_STRAT_phy)+tau_strat_wave(:,k,wave)
+  !--total vertical aod at the 5 SW + 1 LW wavelengths
+  DO wave = 1, nwave_sw + nwave_lw
+    DO k = 1, klev
+      tausum_aero(:, wave, id_STRAT_phy) = tausum_aero(:, wave, id_STRAT_phy) + tau_strat_wave(:, k, wave)
     ENDDO
   ENDDO
 
-!--weighted average for cg, piz and tau, adding strat aerosols on top of tropospheric ones
-  DO band=1, nbands_sw_rrtm
+  !--weighted average for cg, piz and tau, adding strat aerosols on top of tropospheric ones
+  DO band = 1, nbands_sw_rrtm
     !--no stratospheric aerosol in index 1
-    cg_aero_sw_rrtm(:,:,1,band)  =  cg_aero_sw_rrtm(:,:,2,band)
-    piz_aero_sw_rrtm(:,:,1,band)  = piz_aero_sw_rrtm(:,:,2,band)
-    tau_aero_sw_rrtm(:,:,1,band)  = tau_aero_sw_rrtm(:,:,2,band)
+    cg_aero_sw_rrtm(:, :, 1, band) = cg_aero_sw_rrtm(:, :, 2, band)
+    piz_aero_sw_rrtm(:, :, 1, band) = piz_aero_sw_rrtm(:, :, 2, band)
+    tau_aero_sw_rrtm(:, :, 1, band) = tau_aero_sw_rrtm(:, :, 2, band)
 
     !--tropospheric and stratospheric aerosol in index 2
-    cg_aero_sw_rrtm(:,:,2,band) = ( cg_aero_sw_rrtm(:,:,2,band)*piz_aero_sw_rrtm(:,:,2,band)*tau_aero_sw_rrtm(:,:,2,band) + &
-                                cg_strat(:,:,band)*piz_strat(:,:,band)*tau_strat(:,:,band) ) /                              &
-                                MAX( piz_aero_sw_rrtm(:,:,2,band)*tau_aero_sw_rrtm(:,:,2,band) +                            &
-                                piz_strat(:,:,band)*tau_strat(:,:,band), 1.e-15 )
-    piz_aero_sw_rrtm(:,:,2,band)= ( piz_aero_sw_rrtm(:,:,2,band)*tau_aero_sw_rrtm(:,:,2,band) +                             &
-                                piz_strat(:,:,band)*tau_strat(:,:,band) ) /                                                 &
-                                MAX( tau_aero_sw_rrtm(:,:,2,band) + tau_strat(:,:,band), 1.e-15 )
-    tau_aero_sw_rrtm(:,:,2,band)= tau_aero_sw_rrtm(:,:,2,band) + tau_strat(:,:,band)
+    cg_aero_sw_rrtm(:, :, 2, band) = (cg_aero_sw_rrtm(:, :, 2, band) * piz_aero_sw_rrtm(:, :, 2, band) * tau_aero_sw_rrtm(:, :, 2, band) + &
+            cg_strat(:, :, band) * piz_strat(:, :, band) * tau_strat(:, :, band)) / &
+            MAX(piz_aero_sw_rrtm(:, :, 2, band) * tau_aero_sw_rrtm(:, :, 2, band) + &
+                    piz_strat(:, :, band) * tau_strat(:, :, band), 1.e-15)
+    piz_aero_sw_rrtm(:, :, 2, band) = (piz_aero_sw_rrtm(:, :, 2, band) * tau_aero_sw_rrtm(:, :, 2, band) + &
+            piz_strat(:, :, band) * tau_strat(:, :, band)) / &
+            MAX(tau_aero_sw_rrtm(:, :, 2, band) + tau_strat(:, :, band), 1.e-15)
+    tau_aero_sw_rrtm(:, :, 2, band) = tau_aero_sw_rrtm(:, :, 2, band) + tau_strat(:, :, band)
   ENDDO
 
-  DO band=1, nbands_lw_rrtm
+  DO band = 1, nbands_lw_rrtm
     !--no stratospheric aerosols in index 1
-    tau_aero_lw_rrtm(:,:,1,band)  = tau_aero_lw_rrtm(:,:,2,band)
+    tau_aero_lw_rrtm(:, :, 1, band) = tau_aero_lw_rrtm(:, :, 2, band)
     !--tropospheric and stratospheric aerosol in index 2
-    tau_aero_lw_rrtm(:,:,2,band)  = tau_aero_lw_rrtm(:,:,2,band) + tau_lw_abs_rrtm(:,:,band) 
+    tau_aero_lw_rrtm(:, :, 2, band) = tau_aero_lw_rrtm(:, :, 2, band) + tau_lw_abs_rrtm(:, :, band)
   ENDDO
 
-  WHERE (tau_aero_sw_rrtm < 1.e-14) piz_aero_sw_rrtm=1.0
-  WHERE (tau_aero_sw_rrtm < 1.e-14) tau_aero_sw_rrtm=1.e-15
-  WHERE (tau_aero_lw_rrtm < 1.e-14) tau_aero_lw_rrtm=1.e-15
+  WHERE (tau_aero_sw_rrtm < 1.e-14) piz_aero_sw_rrtm = 1.0
+  WHERE (tau_aero_sw_rrtm < 1.e-14) tau_aero_sw_rrtm = 1.e-15
+  WHERE (tau_aero_lw_rrtm < 1.e-14) tau_aero_lw_rrtm = 1.e-15
 
-  tausum_strat(:,:)=0.0
-  DO i=1,klon
-  DO k=1,klev
-    IF (stratomask(i,k)>0.5) THEN
-      tausum_strat(i,1)=tausum_strat(i,1)+tau_strat_wave(i,k,2)  !--550 nm
-      tausum_strat(i,2)=tausum_strat(i,2)+tau_strat_wave(i,k,5)  !--1020 nm
-      tausum_strat(i,3)=tausum_strat(i,3)+tau_strat_wave(i,k,6)  !--10 um
-    ENDIF
-  ENDDO
+  tausum_strat(:, :) = 0.0
+  DO i = 1, klon
+    DO k = 1, klev
+      IF (stratomask(i, k)>0.5) THEN
+        tausum_strat(i, 1) = tausum_strat(i, 1) + tau_strat_wave(i, k, 2)  !--550 nm
+        tausum_strat(i, 2) = tausum_strat(i, 2) + tau_strat_wave(i, k, 5)  !--1020 nm
+        tausum_strat(i, 3) = tausum_strat(i, 3) + tau_strat_wave(i, k, 6)  !--10 um
+      ENDIF
+    ENDDO
   ENDDO
 
-  DO i=1,klon
-  DO k=1,klev
-    zrho=pplay(i,k)/t_seri(i,k)/RD            !air density in kg/m3
-    zdz=(paprs(i,k)-paprs(i,k+1))/zrho/RG     !thickness of layer in m
-    tau_strat_550(i,k)=tau_strat_wave(i,k,2)/zdz
-    tau_strat_1020(i,k)=tau_strat_wave(i,k,5)/zdz
-  ENDDO
+  DO i = 1, klon
+    DO k = 1, klev
+      zrho = pplay(i, k) / t_seri(i, k) / RD            !air density in kg/m3
+      zdz = (paprs(i, k) - paprs(i, k + 1)) / zrho / RG     !thickness of layer in m
+      tau_strat_550(i, k) = tau_strat_wave(i, k, 2) / zdz
+      tau_strat_1020(i, k) = tau_strat_wave(i, k, 5) / zdz
+    ENDDO
   ENDDO
 
